package cn.iocoder.yudao.module.system.service.tenant;


import cn.iocoder.yudao.module.system.controller.admin.auth.vo.AuthLoginRespVO;
import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.tenant.GroupTenantInfoVO;
import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.tenant.GroupTenantListVO;
import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.tenant.GroupTenantSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.tenant.TenantTreeResVO;

import java.util.List;

/**
 * 集团租户关联 Service 接口
 *
 * @author 系统管理员
 */
public interface GroupTenantService {


    void createGroupTenant(GroupTenantSaveReqVO createReqVO);

    List<GroupTenantInfoVO> getGroupTenant(Long groupTenantId, String province);

    void updateGroupTenant(GroupTenantSaveReqVO updateReqVO);

    AuthLoginRespVO changeTenantLogin(Long tenantId);

    List<TenantTreeResVO> getGroupTenantTree(Long groupTenantId);

    List<GroupTenantListVO> findAllGroupList();
}